// enthaelt:
//
// Lego_x_z = Zahl der Noppen in x und z Ausrichtung 
// Legof = flach
// Legor = round
//
// Legor_1_1_old | Legor_1_1 | Legofr_1_1
// Lego_2_2 | Lego_3_2 | Lego_2_3 | Lego_4_2 | Lego_2_4 | Lego_6_2 | Lego_2_6 | Lego_8_2 | Lego_2_8 | Lego_10_2 | Lego_2_10
// Lego_1_1 | Lego_2_1 | Lego_1_2 | Lego_3_1 | Lego_1_3 | Lego_4_1 | Lego_1_4 | Lego_6_1 | Lego_1_6 | Lego_8_1 | Lego_1_8 | Lego_10_1 | Lego_1_10 | Lego_12_1 | Lego_1_12 | Lego_16_1 | Lego_1_16
// Legof_2_2 | Legof_3_2 | Legof_2_3 | Legof_4_2 | Legof_2_4 | Legof_6_2 | Legof_2_6 | Legof_8_2 | Legof_2_8 | Legof_10_2 | Legof_2_10
// Legof_1_1 | Legof_2_1 | Legof_1_2 | Legof_3_1 | Legof_1_3 | Legof_4_1 | Legof_1_4 | Legof_6_1 | Legof_1_6 | Legof_8_1 | Legof_1_8 | Legof_10_1 | Legof_1_10 | Legof_12_1 | Legof_1_12 | Legof_16_1 | Legof_1_16
// Legof_4_4 | Legof_4_6 | Legof_6_4 | Legof_4_8 | Legof_8_4 | Legof_4_10 | Legof_10_4

#ifndef (Lego_Logo) #declare Lego_Logo = 0; #end //die Letter auf den Noppen

#declare LegoBreite  = 0.8;
#declare LegoHoehe   = 0.95;
#declare LegoHoehef  = LegoHoehe/3;
#declare LegoTiefe   = 0.8;
#declare Abstand     = 0.005; // 0.005
#declare LegoFinish  = finish { phong 1 phong_size 70 reflection 0.1 } // finish { phong 1 phong_size 70 reflection 0.1 }

#declare Lego_Rot           = texture { pigment { color rgb < 1.00, 0.00, 0.00 >    } finish { LegoFinish } } 
#declare Lego_Gelb          = texture { pigment { color rgb < 0.90, 0.91, 0.00 >    } finish { LegoFinish } }
#declare Lego_Gruen         = texture { pigment { color rgb < 0.00, 0.90, 0.00 >    } finish { LegoFinish } }
#declare Lego_Blau          = texture { pigment { color rgb < 0.00, 0.40, 1.00 >    } finish { LegoFinish } }
#declare Lego_Rot_d         = texture { pigment { color rgb < 1.00, 0.00, 0.00 >*.75 } finish { LegoFinish } } 
#declare Lego_Gelb_d        = texture { pigment { color rgb < 0.90, 0.91, 0.00 >*.75 } finish { LegoFinish } }
#declare Lego_Gruen_d       = texture { pigment { color rgb < 0.00, 0.90, 0.00 >*.75 } finish { LegoFinish } }
#declare Lego_Blau_d        = texture { pigment { color rgb < 0.00, 0.40, 1.00 >*.75 } finish { LegoFinish } } 
#declare Lego_Schwarz       = texture { pigment { color rgb 0.10                    } finish { LegoFinish } }
#declare Lego_Grau          = texture { pigment { color rgb 0.75                    } finish { LegoFinish } }
#declare Lego_Weiss         = texture { pigment { color rgb < 1.00, 1.00, 0.99 >    } finish { LegoFinish } } 

#declare Lego_Fenster_Weiss = texture { pigment { color rgbf < 1.00, 1.00, 0.99, 0.80 > } finish { LegoFinish } }
#declare Lego_Fenster_Blau  = texture { pigment { color rgbf < 0.00, 1.00, 1.00, 0.80 > } finish { LegoFinish } }

#declare Lego_Textur_Felge_1  = Lego_Rot
#declare Lego_Textur_Reifen_1 = Lego_Schwarz
#declare Lego_Textur_Felge_2  = Lego_Gelb
#declare Lego_Textur_Reifen_2 = Lego_Grau
#declare Lego_Textur_Felge_3  = Lego_Gelb
#declare Lego_Textur_Reifen_3 = Lego_Grau

#declare Lego_Winkel_2Noppen =  64.9; // fuer die Dachschraegen
#declare Lego_Winkel_1Noppen =  47.0; // fuer die Dachschraegen

#declare Noppen_z =
union {
  difference {
    superellipsoid { < 0.99, 0.07 > scale .25 translate z*0.075 }
    plane { z, .001 inverse }
  }
#if(Lego_Logo = 1)
union { // die Letter
  union { // L
    cylinder { y*-1, y*1, 0.05 }
    sphere { 0, 0.05 translate y*1 }
    sphere { 0, 0.05 translate y*-1 }
    cylinder { x*0, x*0.5, 0.05 translate y*-1 }
    sphere { 0, 0.05 translate <0.5,-1,0>  }
  translate x*-0.25 translate x*-1.1 }

  union { // E
    cylinder { y*-1, y*1, 0.05 }
    sphere { 0, 0.05 translate y*1 }
    sphere { 0, 0.05 translate y*-1 }
    cylinder { x*0, x*0.5, 0.05 translate y*-1 }
    sphere { 0, 0.05 translate <0.5,-1,0>  }
    cylinder { x*0, x*0.3, 0.05 }
    sphere { 0, 0.05 translate x*0.3 }
    cylinder { x*0, x*0.5, 0.05 translate y* 1 }
    sphere { 0, 0.05 translate <0.5, 1,0>  }
  translate x*-0.25 translate x*-0.35 }

  union { // G
    cylinder { y*-0.75, y*0.75, 0.05 translate x*-0.25 }
    cylinder { y*-0.75, y*0, 0.05 translate x*0.25 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { -0.5, < 0.5, 0, 0.5 > }
    translate y* 0.75 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { <-0.5, 0,-0.5 >, 0.5 }
    translate y*-0.75 }
    sphere { 0, 0.05 translate < 0.25, 0.75, 0 > }
    sphere { 0, 0.05 translate x*0.25 }
    cylinder { x*-0.05, x*0.25, 0.05 }
    sphere { 0, 0.05 translate x*-0.05 }
  translate x*0.35 }

  union { // O
    cylinder { y*-0.75, y*0.75, 0.05 translate x*-0.25 }
    cylinder { y*-0.75, y*0.75, 0.05 translate x* 0.25 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { -0.5, < 0.5, 0, 0.5 > }
    translate y* 0.75 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { <-0.5, 0,-0.5 >, 0.5 }
    translate y*-0.75 }
  translate x*1.1 }
  matrix
	  < 1.0, 0.0, 0.0,
	    0.2, 1.0, 0.0,
	    0.0, 0.0, 1.0,
	    0.0, 0.0, 0.0 >
  scale 0.11
 translate z*-0.174 } // Ende Letter
#end
rotate x*90
translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 >
} // Ende Noppen_z

#declare Noppen_x =
union {
  difference {
    superellipsoid { < 0.99, 0.07 > scale .25 translate z*0.075 }
    plane { z, .001 inverse }
  }
#if(Lego_Logo = 1)
union { // die Letter
  union { // L
    cylinder { y*-1, y*1, 0.05 }
    sphere { 0, 0.05 translate y*1 }
    sphere { 0, 0.05 translate y*-1 }
    cylinder { x*0, x*0.5, 0.05 translate y*-1 }
    sphere { 0, 0.05 translate <0.5,-1,0>  }
  translate x*-0.25 translate x*-1.1 }

  union { // E
    cylinder { y*-1, y*1, 0.05 }
    sphere { 0, 0.05 translate y*1 }
    sphere { 0, 0.05 translate y*-1 }
    cylinder { x*0, x*0.5, 0.05 translate y*-1 }
    sphere { 0, 0.05 translate <0.5,-1,0>  }
    cylinder { x*0, x*0.3, 0.05 }
    sphere { 0, 0.05 translate x*0.3 }
    cylinder { x*0, x*0.5, 0.05 translate y* 1 }
    sphere { 0, 0.05 translate <0.5, 1,0>  }
  translate x*-0.25 translate x*-0.35 }

  union { // G
    cylinder { y*-0.75, y*0.75, 0.05 translate x*-0.25 }
    cylinder { y*-0.75, y*0, 0.05 translate x*0.25 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { -0.5, < 0.5, 0, 0.5 > }
    translate y* 0.75 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { <-0.5, 0,-0.5 >, 0.5 }
    translate y*-0.75 }
    sphere { 0, 0.05 translate < 0.25, 0.75, 0 > }
    sphere { 0, 0.05 translate x*0.25 }
    cylinder { x*-0.05, x*0.25, 0.05 }
    sphere { 0, 0.05 translate x*-0.05 }
  translate x*0.35 }

  union { // O
    cylinder { y*-0.75, y*0.75, 0.05 translate x*-0.25 }
    cylinder { y*-0.75, y*0.75, 0.05 translate x* 0.25 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { -0.5, < 0.5, 0, 0.5 > }
    translate y* 0.75 }
    difference {
      torus { 0.25, 0.05 rotate x*-90 }
      box { <-0.5, 0,-0.5 >, 0.5 }
    translate y*-0.75 }
  translate x*1.1 }
  matrix
	  < 1.0, 0.0, 0.0,
	    0.2, 1.0, 0.0,
	    0.0, 0.0, 1.0,
	    0.0, 0.0, 0.0 >
  scale 0.11
 translate z*-0.174 rotate z*-90 } // Ende Letter
#end
rotate x*90
translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 >
} // Ende Noppen_x

#declare Noppen_hollow =
union {
  difference {
    cylinder { z*0.0,  z*(LegoHoehe-0.18), 0.25 }
    cylinder { z*-0.01,z*LegoHoehe, 0.175 }
  }
  difference {
    superellipsoid { < 0.99, 0.07 > scale .25 translate z*0.075 }
    cylinder { z*-1,z*1, 0.175 }
  }
rotate x*90
translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 >
}
                               
#declare Noppen_innen =
  union {
    difference {
      cylinder { y*0.05, y*(LegoHoehe-0.15), 0.35 }
      cylinder { y*0, y*(LegoHoehe-0.14), 0.25 }
    
    }
    torus { 0.3, 0.05 translate y*0.05 }
  translate < LegoBreite , 0, LegoTiefe > }

#declare Noppen_innen_x =
  cylinder { y*0, y*(LegoHoehe-0.15), 0.15
  translate < LegoBreite*1 , 0, LegoTiefe*0.5 > }
#declare Noppen_innen_z =
  cylinder { y*0, y*(LegoHoehe-0.15), 0.15
  translate < LegoBreite*0.5 , 0, LegoTiefe*1 > }

#declare Noppenf_innen =
  union {
    difference {
      cylinder { y*0.05, y*(LegoHoehef-0.15), 0.35 }
      cylinder { y*0, y*(LegoHoehef-0.14), 0.25 }
    
    }
    torus { 0.3, 0.05 translate y*0.05 }
  translate < LegoBreite , 0, LegoTiefe > }

#declare Noppenf_innen_x =
  cylinder { y*0, y*(LegoHoehef-0.15), 0.15
  translate < LegoBreite*1 , 0, LegoTiefe*0.5 > }
#declare Noppenf_innen_z =
  cylinder { y*0, y*(LegoHoehef-0.15), 0.15
  translate < LegoBreite*0.5 , 0, LegoTiefe*1 > }

//================================================ die Steine ==============================================================//

//=========================== einfach ======================================//

/***** round 1_1 old *****/ 
#declare Legor_1_1_old =
  #local X_ = 1;
  #local Z_ = 1;
union {
  difference {
      cylinder { y*0, y*LegoHoehe*1, LegoBreite*.5 translate <LegoBreite*.5,0,LegoTiefe*.5> }
      cylinder { y*-0.15, y*(LegoHoehe-0.15), (LegoBreite*.5)-0.15 translate <LegoBreite*.5,0,LegoTiefe*.5> }
  }
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}

/***** round 1_1 *****/ 
#declare Legor_1_1 =
  #local X_ = 1;
  #local Z_ = 1;
union {
  difference { 
      cylinder { y*0, y*LegoHoehe*1, (LegoBreite)*.5-.075 translate <LegoBreite*.5,0,LegoTiefe*.5> }
      cylinder { y*-0.15, y*(LegoHoehe-0.15), (LegoBreite*.5)-0.15 translate <LegoBreite*.5,0,LegoTiefe*.5> }
  }
  difference {
      cylinder { y*0.2, y*LegoHoehe*1, LegoBreite*.5 translate <LegoBreite*.5,0,LegoTiefe*.5> }
      cylinder { y*-0.15, y*(LegoHoehe-0.15), (LegoBreite*.5)-0.15 translate <LegoBreite*.5,0,LegoTiefe*.5> }
  }
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}

/***** 1_1 *****/ 
#declare Lego_1_1 =
union {
  #local X_ = 1;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_1 *****/ 
#declare Lego_2_1 =
union {
  #local X_ = 2;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_2 *****/
#declare Lego_1_2 =
union {
  #local X_ = 1;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 3_1 *****/ 
#declare Lego_3_1 =
union {
  #local X_ = 3;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_3 *****/
#declare Lego_1_3 =
union {
  #local X_ = 1;
  #local Z_ = 3;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_1 *****/ 
#declare Lego_4_1 =
union {
  #local X_ = 4;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_4 *****/
#declare Lego_1_4 =
union {
  #local X_ = 1;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 6_1 *****/ 
#declare Lego_6_1 =
union {
  #local X_ = 6;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_6 *****/
#declare Lego_1_6 =
union {
  #local X_ = 1;
  #local Z_ = 6;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 8_1 *****/ 
#declare Lego_8_1 =
union {
  #local X_ = 8;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_8 *****/
#declare Lego_1_8 =
union {
  #local X_ = 1;
  #local Z_ = 8;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 10_1 *****/ 
#declare Lego_10_1 =
union {
  #local X_ = 10;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_10 *****/
#declare Lego_1_10 =
union {
  #local X_ = 1;
  #local Z_ = 10;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 12_1 *****/ 
#declare Lego_12_1 =
union {
  #local X_ = 12;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_12 *****/
#declare Lego_1_12 =
union {
  #local X_ = 1;
  #local Z_ = 12;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 16_1 *****/ 
#declare Lego_16_1 =
union {
  #local X_ = 16;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_16 *****/
#declare Lego_1_16 =
union {
  #local X_ = 1;
  #local Z_ = 16;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
//=========================== doppel ======================================//
/***** 2_2 *****/ 
#declare Lego_2_2 =
union {
  #local X_ = 2;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 3_2 *****/ 
#declare Lego_3_2 =
union {
  #local X_ = 3;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_3 *****/ 
#declare Lego_2_3 =
union {
  #local X_ = 2;
  #local Z_ = 3;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_2 *****/ 
#declare Lego_4_2 =
union {
  #local X_ = 4;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_4 *****/
#declare Lego_2_4 =
union {
  #local X_ = 2;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 6_2 *****/ 
#declare Lego_6_2 =
union {
  #local X_ = 6;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_6 *****/
#declare Lego_2_6 =
union {
  #local X_ = 2;
  #local Z_ = 6;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 8_2 *****/ 
#declare Lego_8_2 =
union {
  #local X_ = 8;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_8 *****/
#declare Lego_2_8 =
union {
  #local X_ = 2;
  #local Z_ = 8;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 10_2 *****/ 
#declare Lego_10_2 =
union {
  #local X_ = 10;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_10 *****/
#declare Lego_2_10 =
union {
  #local X_ = 2;
  #local Z_ = 10;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}

//=========================== flach einfach ======================================//

/***** round 1_1 *****/ 
#declare Legofr_1_1 =
  #local X_ = 1;
  #local Z_ = 1;
union {
  difference { 
      cylinder { y*0, y*LegoHoehef*1, (LegoBreite)*.5-.075 translate <LegoBreite*.5,0,LegoTiefe*.5> }
      cylinder { y*-0.15, y*(LegoHoehef-0.15), (LegoBreite*.5)-0.15 translate <LegoBreite*.5,0,LegoTiefe*.5> }
  }
  difference {
      cylinder { y*0.2, y*LegoHoehef*1, LegoBreite*.5 translate <LegoBreite*.5,0,LegoTiefe*.5> }
      cylinder { y*-0.15, y*(LegoHoehef-0.15), (LegoBreite*.5)-0.15 translate <LegoBreite*.5,0,LegoTiefe*.5> }
  }
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}

/***** 1_1 *****/ 
#declare Legof_1_1 =
union {
  #local X_ = 1;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_1 *****/ 
#declare Legof_2_1 =
union {
  #local X_ = 2;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_2 *****/
#declare Legof_1_2 =
union {
  #local X_ = 1;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 3_1 *****/ 
#declare Legof_3_1 =
union {
  #local X_ = 3;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_3 *****/
#declare Legof_1_3 =
union {
  #local X_ = 1;
  #local Z_ = 3;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_1 *****/ 
#declare Legof_4_1 =
union {
  #local X_ = 4;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_4 *****/
#declare Legof_1_4 =
union {
  #local X_ = 1;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 6_1 *****/ 
#declare Legof_6_1 =
union {
  #local X_ = 6;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_6 *****/
#declare Legof_1_6 =
union {
  #local X_ = 1;
  #local Z_ = 6;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 8_1 *****/ 
#declare Legof_8_1 =
union {
  #local X_ = 8;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_8 *****/
#declare Legof_1_8 =
union {
  #local X_ = 1;
  #local Z_ = 8;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 10_1 *****/ 
#declare Legof_10_1 =
union {
  #local X_ = 10;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_10 *****/
#declare Legof_1_10 =
union {
  #local X_ = 1;
  #local Z_ = 10;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 12_1 *****/ 
#declare Legof_12_1 =
union {
  #local X_ = 12;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_12 *****/
#declare Legof_1_12 =
union {
  #local X_ = 1;
  #local Z_ = 12;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 16_1 *****/ 
#declare Legof_16_1 =
union {
  #local X_ = 16;
  #local Z_ = 1;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppenf_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 1_16 *****/
#declare Legof_1_16 =
union {
  #local X_ = 1;
  #local Z_ = 16;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppenf_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
//=========================== flach doppel ======================================//
/***** 2_2 *****/ 
#declare Legof_2_2 =
union {
  #local X_ = 2;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 3_2 *****/ 
#declare Legof_3_2 =
union {
  #local X_ = 3;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_3 *****/ 
#declare Legof_2_3 =
union {
  #local X_ = 2;
  #local Z_ = 3;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_2 *****/ 
#declare Legof_4_2 =
union {
  #local X_ = 4;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_4 *****/
#declare Legof_2_4 =
union {
  #local X_ = 2;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 6_2 *****/ 
#declare Legof_6_2 =
union {
  #local X_ = 6;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_6 *****/
#declare Legof_2_6 =
union {
  #local X_ = 2;
  #local Z_ = 6;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 8_2 *****/ 
#declare Legof_8_2 =
union {
  #local X_ = 8;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_8 *****/
#declare Legof_2_8 =
union {
  #local X_ = 2;
  #local Z_ = 8;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 10_2 *****/ 
#declare Legof_10_2 =
union {
  #local X_ = 10;
  #local Z_ = 2;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 2_10 *****/
#declare Legof_2_10 =
union {
  #local X_ = 2;
  #local Z_ = 10;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
//=========================== flach vierfach ======================================//
/***** 4_4 *****/ 
#declare Legof_4_4 =
union {
  #local X_ = 4;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 6_4 *****/ 
#declare Legof_6_4 =
union {
  #local X_ = 6;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_6 *****/
#declare Legof_4_6 =
union {
  #local X_ = 4;
  #local Z_ = 6;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 8_4 *****/ 
#declare Legof_8_4 =
union {
  #local X_ = 8;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_8 *****/
#declare Legof_4_8 =
union {
  #local X_ = 4;
  #local Z_ = 8;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 10_4 *****/ 
#declare Legof_10_4 =
union {
  #local X_ = 10;
  #local Z_ = 4;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}
/***** 4_10 *****/
#declare Legof_4_10 =
union {
  #local X_ = 4;
  #local Z_ = 10;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_z translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}     

// Ende der Datei