// benoetigt "Lego.inc"
// 
// enthaelt:
//
// Lego_x_z = Zahl der Noppen in x und z Ausrichtung
//
// d = Dach, xpos = Ausrichtung der Schraege
// du = Schraege unten
// Legod_3_1_xpos | Legod_3_2_xpos | Legod_3_3_xpos | Legod_3_4_xpos | Legod_3_6_xpos | Legod_3_8_xpos | Legod_3_10_xpos  
// Legod_3_1_xneg | Legod_3_2_xneg | Legod_3_3_xneg | Legod_3_4_xneg | Legod_3_6_xneg | Legod_3_8_xneg | Legod_3_10_xneg 
// Legod_1_3_zpos | Legod_2_3_zpos | Legod_3_3_zpos | Legod_4_3_zpos | Legod_6_3_zpos | Legod_8_3_zpos | Legod_10_3_zpos  
// Legod_1_3_zneg | Legod_2_3_zneg | Legod_3_3_zneg | Legod_4_3_zneg | Legod_6_3_zneg | Legod_8_3_zneg | Legod_10_3_zneg
//
// Legod_2_1_xpos | Legod_2_2_xpos | Legod_2_3_xpos | Legod_2_4_xpos | Legod_2_6_xpos | Legod_2_8_xpos | Legod_2_10_xpos  
// Legod_2_1_xneg | Legod_2_2_xneg | Legod_2_3_xneg | Legod_2_4_xneg | Legod_2_6_xneg | Legod_2_8_xneg | Legod_2_10_xneg 
// Legod_1_2_zpos | Legod_2_2_zpos | Legod_3_2_zpos | Legod_4_2_zpos | Legod_6_2_zpos | Legod_8_2_zpos | Legod_10_2_zpos  
// Legod_1_2_zneg | Legod_2_2_zneg | Legod_3_2_zneg | Legod_4_2_zneg | Legod_6_2_zneg | Legod_8_2_zneg | Legod_10_2_zneg 
//
// Legodu_3_1_xpos | Legodu_3_2_xpos | Legodu_3_3_xpos | Legodu_3_4_xpos | Legodu_3_6_xpos | Legodu_3_8_xpos | Legodu_3_10_xpos  

/********************* noch nicht enthalten ****************/
// Legodu_3_1_xneg | Legodu_3_2_xneg | Legodu_3_3_xneg | Legodu_3_4_xneg | Legodu_3_6_xneg | Legodu_3_8_xneg | Legodu_3_10_xneg 
// Legodu_1_3_zpos | Legodu_2_3_zpos | Legodu_3_3_zpos | Legodu_4_3_zpos | Legodu_6_3_zpos | Legodu_8_3_zpos | Legodu_10_3_zpos  
// Legodu_1_3_zneg | Legodu_2_3_zneg | Legodu_3_3_zneg | Legodu_4_3_zneg | Legodu_6_3_zneg | Legodu_8_3_zneg | Legodu_10_3_zneg
//

//=========================== Dachsteine ======================================//
/************************* 3er ********************************/
/* Schraege nach pos x */
#declare Legod_3_1_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 1;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}
#declare Legod_3_2_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}
#declare Legod_3_3_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}
#declare Legod_3_4_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 4;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}
#declare Legod_3_6_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 6;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}
#declare Legod_3_8_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 8;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}
#declare Legod_3_10_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 10;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}

/* Schraege nach neg x */
#declare Legod_3_1_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 1;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_2_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_3_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_4_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 4;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_6_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 6;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_8_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 8;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_10_xneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 10;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}

/* Schraege nach pos z */
#declare Legod_1_3_zpos =
union { 
 difference {
  union {
    #local X_ = 1;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, < (LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate < 0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767, -0.15 > rotate x*-Lego_Winkel_2Noppen translate < 0,0.2,LegoTiefe*3> }
}
#declare Legod_2_3_zpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}
#declare Legod_3_3_zpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}
#declare Legod_4_3_zpos =
union { 
 difference {
  union {
    #local X_ = 4;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}
#declare Legod_6_3_zpos =
union { 
 difference {
  union {
    #local X_ = 6;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}
#declare Legod_8_3_zpos =
union { 
 difference {
  union {
    #local X_ = 8;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}
#declare Legod_10_3_zpos =
union { 
 difference {
  union {
    #local X_ = 10;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}

/* Schraege nach neg z */
#declare Legod_1_3_zneg =
union { 
 difference {
  union {
    #local X_ = 1;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_2_3_zneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_3_3_zneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_4_3_zneg =
union { 
 difference {
  union {
    #local X_ = 4;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_6_3_zneg =
union { 
 difference {
  union {
    #local X_ = 6;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_8_3_zneg =
union { 
 difference {
  union {
    #local X_ = 8;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
#declare Legod_10_3_zneg =
union { 
 difference {
  union {
    #local X_ = 10;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}
/************************* 2er ********************************/
/* Schraege nach pos x */
#declare Legod_2_1_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 1;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}
#declare Legod_2_2_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}
#declare Legod_2_3_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}
#declare Legod_2_4_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 4;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}
#declare Legod_2_6_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 6;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}
#declare Legod_2_8_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 8;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}
#declare Legod_2_10_xpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 10;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}

/* Schraege nach neg x */
#declare Legod_2_1_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 1;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    object { Noppen_innen_x translate x*LegoBreite*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_2_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_3_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_4_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 4;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_6_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 6;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_8_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 8;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_10_xneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 10;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}

/* Schraege nach pos z */
#declare Legod_1_2_zpos =
union { 
 difference {
  union {
    #local X_ = 1;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}
#declare Legod_2_2_zpos =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}
#declare Legod_3_2_zpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}
#declare Legod_4_2_zpos =
union { 
 difference {
  union {
    #local X_ = 4;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}
#declare Legod_6_2_zpos =
union { 
 difference {
  union {
    #local X_ = 6;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}
#declare Legod_8_2_zpos =
union { 
 difference {
  union {
    #local X_ = 8;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}
#declare Legod_10_2_zpos =
union { 
 difference {
  union {
    #local X_ = 10;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}

/* Schraege nach neg z */
#declare Legod_1_2_zneg =
union { 
 difference {
  union {
    #local X_ = 1;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
  #local Count1 = 0;
  #while (Count1 < Z_-1)
    object { Noppen_innen_z translate z*LegoTiefe*Count1 }
  #local Count1 = Count1+1;
  #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_2_2_zneg =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_3_2_zneg =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_4_2_zneg =
union { 
 difference {
  union {
    #local X_ = 4;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_6_2_zneg =
union { 
 difference {
  union {
    #local X_ = 6;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_8_2_zneg =
union { 
 difference {
  union {
    #local X_ = 8;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}
#declare Legod_10_2_zneg =
union { 
 difference {
  union {
    #local X_ = 10;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}

/************************* 3er Schraege unten ********************************/
/* Schraege nach pos x */
#declare Legodu_3_1_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 1;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}
#declare Legodu_3_2_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}
#declare Legodu_3_3_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}
#declare Legodu_3_4_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 4;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}
#declare Legodu_3_6_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 6;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}
#declare Legodu_3_8_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 8;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}
#declare Legodu_3_10_xpos =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = 10;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
      box { < LegoBreite,-0.01, 0.1 >, < LegoBreite*X_, LegoHoehe*2, (LegoTiefe*Z_)+0.05 >-0.15 }
    }
    #local Count1 = 1;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_hollow translate  < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }
 } // Ende difference
 difference {
   box { < 0.00001, Abstand+0.005, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <LegoBreite*1,0.0,0> }

   #local Count1 = 0;
   #while (Count1 < Z_)
     cylinder { y*0, y*0.175, 0.2575 translate < LegoBreite*0.5 , 0, LegoTiefe*0.5 > translate < LegoBreite*1, LegoHoehe*0, LegoTiefe*Count1 > }
   #local Count1 = Count1+1;
   #end // Ende Count1
 }
}

/* Schraege nach neg x */