// benoetigt "Lego.inc"
// 
// enthaelt:
// 
// xpos = Blickrichtung (ohne Kopfdrehung)
// Lego_Figur_zneg | Lego_Figur_zpos | Lego_Figur_xpos | Lego_Figur_xneg

#ifndef (Lego_Farbe_Beine)          // Textur Beine
  #declare Lego_Farbe_Beine         = texture { Lego_Rot }
  #end
#ifndef (Lego_Farbe_Huefte)         // Textur Huefte
  #declare Lego_Farbe_Huefte        = texture { Lego_Schwarz }
  #end
#ifndef (Lego_Farbe_Oberkoerper)    // Textur Oberkoerper
  #declare Lego_Farbe_Oberkoerper   = texture { Lego_Blau }
  #end
#ifndef (Lego_Farbe_Gesicht)        // Textur Gesicht
  #declare Lego_Farbe_Gesicht       = texture { pigment { image_map { tga "lego_neu_face_01" map_type 2 interpolate 4 } rotate y*-90 } finish { LegoFinish } }
  #end
#ifndef (Lego_Farbe_Muetze)         // Textur Muetze
  #declare Lego_Farbe_Muetze        = texture { Lego_Rot }
  #end
                                                                            
#ifndef (Lego_Sitzen)               // Sitzen der Figur 1 | 0
  #declare Lego_Sitzen              = 0;
  #end  
#ifndef (Lego_Kopf_Drehung)         // y Drehung Kopf
  #declare Lego_Kopf_Drehung        = 0;
  #end
#ifndef (Lego_Muetze_Drehung)       // y Drehung Muetze
  #declare Lego_Muetze_Drehung      = Lego_Kopf_Drehung; // Lego_Kopf_Drehung
  #end
#ifndef (Lego_Oberkoerper_Drehung)  // x Drehung Oberkoerper (-97...0...60)
  #declare Lego_Oberkoerper_Drehung = 0;
  #end
#ifndef (Lego_Bein_rts_Drehung)     // x Drehung Bein rechts (-60...0...97)
  #declare Lego_Bein_rts_Drehung    = 0;
  #end
#ifndef (Lego_Bein_lks_Drehung)     // x Drehung Bein links (-60...0...97)
  #declare Lego_Bein_lks_Drehung    = 0;
  #end
#ifndef (Lego_Arm_rts_Drehung)      // x Drehung Arm rechts
  #declare Lego_Arm_rts_Drehung     = 35; // 35
  #end
#ifndef (Lego_Arm_lks_Drehung)      // x Drehung Arm links
  #declare Lego_Arm_lks_Drehung     = 35; // 35
  #end

#if (Lego_Sitzen = 1 ) 
  #declare Lego_Bein_rts_Drehung    = 90;
  #end
#if (Lego_Sitzen = 1 )
  #declare Lego_Bein_lks_Drehung    = 90;
  #end
#if (Lego_Oberkoerper_Drehung < -97 )
  #declare Lego_Oberkoerper_Drehung = -97;
  #end
#if (Lego_Oberkoerper_Drehung > 60 )
  #declare Lego_Oberkoerper_Drehung = 60;
  #end
#if (Lego_Bein_rts_Drehung < -60 )
  #declare Lego_Bein_rts_Drehung  = -60;
  #end
#if (Lego_Bein_rts_Drehung > 97 )
  #declare Lego_Bein_rts_Drehung  = 97;
  #end
#if (Lego_Bein_lks_Drehung < -60 )
  #declare Lego_Bein_lks_Drehung  = -60;
  #end
#if (Lego_Bein_lks_Drehung > 97 )
  #declare Lego_Bein_lks_Drehung  = 97;
  #end

#declare Lego_Figur =
      
union { // Figur

  union { // Oberkoerper
    // Torso
    union { 
      superellipsoid { .07 scale < 1.1*0.5, 1.3*0.5, 0.75*0.5 >
        matrix
	      < 1.00, 0.00, 0.00,
	        0.13, 1.00, 0.00,
	        0.00, 0.00, 1.00,
	        0.00, 0.00, 0.00 >
      translate x*-0.1 }
      superellipsoid { .07 scale < 1.1*0.5, 1.3*0.5, 0.75*0.5 >
        matrix
	      < 1.00, 0.00, 0.00,
	       -0.13, 1.00, 0.00,
	        0.00, 0.00, 1.00,
	        0.00, 0.00, 0.00 >
      translate x* 0.1
      }
    texture { Lego_Farbe_Oberkoerper }
    translate y*1.3*0.5 // Hoehe Oberkoerper
    }
    // Ende Torso
    
    union { // rechter Arm
      union {
        cylinder { y*0, y*-0.5, 0.25 }
        sphere { 0, 0.25 }
        sphere { 0, 0.25 translate y*-0.5 }
        cone { y*0, 0.25, y*-0.5, 0.2 rotate x*45 translate y*-0.5 }
      scale < 0.8, 1.0, 1.0 >
      }
      union { // Hand
        difference {
          intersection {
            cylinder { y*0.20, y*-0.20, 0.250 }
            cylinder { x*-0.3, x*0.3, 0.4 translate <0,0.2,0.2> }
          }
        cylinder { y*0.21, y*-0.21, 0.175 }
        box { <-(0.3*0.5),-0.3, 0 >, < 0.3*0.5, 0.3,-0.3 > }
        }
        cylinder { z*0.22, z*0.42, 0.1 translate y*-0.1 }
      texture { Lego_Gelb }
      rotate x*-45
      rotate z*15
      translate < 0.05,-1.05,-0.7 >
      } // Ende Hand
    texture { Lego_Farbe_Oberkoerper }
    rotate x*Lego_Arm_rts_Drehung
    rotate z*-15
    translate <-0.7, 1, 0 >
    } // Ende rechter Arm

    union { // linker Arm
      union {
        cylinder { y*0, y*-0.5, 0.25 }
        sphere { 0, 0.25 }
        sphere { 0, 0.25 translate y*-0.5 }
        cone { y*0, 0.25, y*-0.5, 0.2 rotate x*45 translate y*-0.5 }
      scale < 0.8, 1.0, 1.0 >
      }
      union { // Hand
        difference {
          intersection {
            cylinder { y*0.20, y*-0.20, 0.250 }
            cylinder { x*-0.3, x*0.3, 0.4 translate <0,0.2,0.2> }
          }
        cylinder { y*0.21, y*-0.21, 0.175 }
        box { <-(0.3*0.5),-0.3, 0 >, < 0.3*0.5, 0.3,-0.3 > }
        }
        cylinder { z*0.22, z*0.42, 0.1 translate y*-0.1 }
      texture { Lego_Gelb }
      rotate x*-45
      rotate z*-15
      translate <-0.05,-1.05,-0.7 >
      } // Ende Hand
    texture { Lego_Farbe_Oberkoerper }
    rotate x*Lego_Arm_lks_Drehung
    rotate z*15
    translate < 0.7, 1, 0 >
    } // Ende linker Arm
    
    // Kopf
    union { 
      union {
        superellipsoid { < 1, 0.4 > rotate x*90 scale < 0.5, 0.4, 0.5 > }
        object { Noppen_hollow translate < LegoBreite*-0.5 , 0.4, LegoTiefe*-0.5 > }
        translate y*0.5
        }
      cylinder { y*-0.1, y*0.3, 0.3 }
    texture { Lego_Farbe_Gesicht } 
    translate y*1.3  // Hoehe Oberkoerper
    rotate y*Lego_Kopf_Drehung }
    // Ende Kopf
   
    // Muetze
    union { 
      union {
        difference {
          sphere { 0, 1.18*0.5 }
          box { -1.5, <1.5,0,1.5> }
          scale < 1, 0.75, 1 >
        }
        cone { y*0, 1.18*0.5, y*-0.2, 1.2*0.5 }
      translate y*0.2
      }
      union { // Schirm
        cylinder { y*0, y*0.05, 1.2*0.5 }
        box { <-1.2*0.5, 0, 0 >, < 1.2*0.5, 0.05, 0.7 > }
      translate z*-0.7
      }
    texture { Lego_Farbe_Muetze }
    rotate x*8
    translate y*0.62 // Hoehe Kopf
    translate y*1.3  // Hoehe Oberkoerper
    rotate y*Lego_Muetze_Drehung
    }
   // Ende Muetze
  translate y*0.45 // Hoehe Huefte
  rotate x*Lego_Oberkoerper_Drehung
  } // Ende Oberkoerper

  union { // Unterkoerper  
    union { // Huefte
      difference {
        box { <-1.4*0.5, 0.02,-0.75*0.5 >, < 1.4*0.5, 0.2-Abstand, 0.75*0.5 >  translate y*0.25 }
        cylinder {-x*1.5*0.5, x*1.5*0.5, (0.35+Abstand) }
      }
      cylinder {-x*((0.15*0.5)-Abstand), x*((0.15*0.5)-Abstand), 0.35 }
    rotate x*Lego_Oberkoerper_Drehung
    texture { Lego_Farbe_Huefte }
    } // Ende Huefte
  
    union { // Beine
      difference { // rechtes Bein
        union {
          difference { // rechter Ober- Unterschenkel
            union {
              cylinder {-x*0.63*0.5, x*0.63*0.5, 0.35 }
              box { <-0.63*0.5, 0.0,-0.2 >, < 0.63*0.5,-0.8, 0.4   > translate z*-0.05 }
            }
            box { <-0.5*0.5, 0.001,-0.05 >, < 0.5*0.5,-1.101, 0.25 > translate z*-0.05 }
          } // Ende rechter Ober- Unterschenkel
          difference { // rechter Fuss
            box { <-0.63  *0.5,-0.8,-0.4  >, < 0.63  *0.5,-1.1,   0.4  > }
            box { <-0.5   *0.5,-0.9,-0.25 >, < 0.5   *0.5,-1.101, 0.25  > }
            box { <-0.5001*0.5,-0.7,-0.0501 >, < 0.5001*0.5,-1.101, 0.2501  > }
          translate z*-0.05 } // Ende rechter Fuss
        }
      cylinder { z*0.15, z*0.4, 0.25 translate y* 0.1 }
      cylinder { z*0.15, z*0.4, 0.25 translate y*-0.7 }
      rotate x*Lego_Bein_rts_Drehung translate -x*((0.15*0.5)+(0.63*0.5))
      } // Ende rechtes Bein
      
      difference { // linkes Bein
        union {
          difference { // linker Ober- Unterschenkel
            union {
              cylinder {-x*0.63*0.5, x*0.63*0.5, 0.35 }
              box { <-0.63*0.5, 0.0,-0.2 >, < 0.63*0.5,-0.8, 0.4   > translate z*-0.05 }
            }
            box { <-0.5*0.5, 0.001,-0.05 >, < 0.5*0.5,-1.101, 0.25 > translate z*-0.05 }
          } // Ende linker Ober- Unterschenkel
          difference { // linker Fuss
            box { <-0.63  *0.5,-0.8,-0.4  >, < 0.63  *0.5,-1.1,   0.4  > }
            box { <-0.5   *0.5,-0.9,-0.25 >, < 0.5   *0.5,-1.101, 0.25 > }
            box { <-0.5001*0.5,-0.7,-0.0501 >, < 0.5001*0.5,-1.101, 0.2501  > }
           translate z*-0.05 } // Ende linker Fuss
        }
      cylinder { z*0.15, z*0.4, 0.25 translate y* 0.1 }
      cylinder { z*0.15, z*0.4, 0.25 translate y*-0.7 }
      rotate x*Lego_Bein_lks_Drehung translate  x*((0.15*0.5)+(0.63*0.5))
      } // Ende linkes Bein
    texture { Lego_Farbe_Beine }
    } // Ende Beine
  } // Ende Unterkoerper
  
translate y*1.1 // Hoehe Beine
translate z*LegoTiefe*0.5 /***!***/ 

#if (Lego_Sitzen = 1 ) translate y*-0.75 #end
#if (Lego_Sitzen = 0  ) translate z*0.05  #end
#if (Lego_Sitzen = 1 ) translate z*((LegoTiefe*1)-0.1) #end
    
} // Ende Figur


#declare Lego_Figur_zneg = object { Lego_Figur translate x*LegoBreite*1 }
#declare Lego_Figur_zpos = object { Lego_Figur rotate y*180 translate x*LegoBreite*1
    #if (Lego_Sitzen = 0  ) translate z*LegoTiefe*1 #end
    #if (Lego_Sitzen = 1 ) translate z*LegoTiefe*2 #end }
#declare Lego_Figur_xpos = object { Lego_Figur rotate y*-90 translate z*LegoTiefe*1
    #if (Lego_Sitzen = 0  ) translate x*LegoBreite*1 #end 
    #if (Lego_Sitzen = 1 ) translate x*LegoBreite*2 #end }
#declare Lego_Figur_xneg = object { Lego_Figur rotate y*90 translate z*LegoTiefe*1 }