// benoetigt "Lego.inc"
// 
// enthaelt:
//
// object { Lego_Var } | object { Legof_Var } 
// Stein in variabler Groesse
// "Lego_Var_X" und "Lego_Var_Z" definieren! (Zahl der Noppen in X- und Z-Ausrichtung)
//
// object { Lego_Var_nn } | object { Legof_Var_nn } 
// Stein in variabler Groesse ohne Noppen (no noppen)
// "Lego_Var_X" und "Lego_Var_Z" definieren! (Zahl der Noppen in X- und Z-Ausrichtung)
//
// object { Legod_3_xpos_Var } | object { Legod_3_xneg_Var }
// Dachsteine (Breite 3 Noppen) in variabler Groesse, Schraege in x-positiv und x-negativ-Ausrichtung
// "Lego_Var_Z" definieren! (Zahl der Noppen in Z-Ausrichtung) 
//
// object { Legod_3_zpos_Var } | object { Legod_3_zneg_Var }
// Dachsteine (Breite 3 Noppen) in variabler Groesse, Schraege in z-positiv und z-negativ-Ausrichtung
// "Lego_Var_X" definieren! (Zahl der Noppen in X-Ausrichtung) 
//
// object { Legod_2_xpos_Var } | object { Legod_2_xneg_Var }
// Dachsteine (Breite 2 Noppen) in variabler Groesse, Schraege in x-positiv und x-negativ-Ausrichtung
// "Lego_Var_Z" definieren! (Zahl der Noppen in Z-Ausrichtung) 
//
// object { Legod_2_zpos_Var } | object { Legod_2_zneg_Var }
// Dachsteine (Breite 2 Noppen) in variabler Groesse, Schraege in z-positiv und z-negativ-Ausrichtung
// "Lego_Var_X" definieren! (Zahl der Noppen in X-Ausrichtung)

#ifndef (Lego_Var_X) #local Lego_Var_X = 2; #end
#ifndef (Lego_Var_Z) #local Lego_Var_Z = 2; #end

#declare Lego_Var =
union {
  #local X_ = Lego_Var_X;
  #local Z_ = Lego_Var_Z;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}

#declare Lego_Var_nn =
union {
  #local X_ = Lego_Var_X;
  #local Z_ = Lego_Var_Z;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
/*
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
*/
}

#declare Legof_Var =
union {
  #local X_ = Lego_Var_X;
  #local Z_ = Lego_Var_Z;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1

  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
}   

#declare Legof_Var_nn =
union {
  #local X_ = Lego_Var_X;
  #local Z_ = Lego_Var_Z;
  difference {
    box { Abstand, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ > }
    box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehef*1, LegoTiefe*Z_ >-0.15 }
  }
  #local Count1 = 0;
  #while (Count1 < X_-1)
    #local Count2 = 0;
    #while (Count2 < Z_-1)
      object { Noppenf_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
/*
  #local Count1 = 0;
  #while (Count1 < X_)
    #local Count2 = 0;
    #while (Count2 < Z_)
      object { Noppen_x translate < LegoBreite*Count1, LegoHoehef*1, LegoTiefe*Count2 > }
    #local Count2 = Count2+1;
    #end // Ende Count2
  #local Count1 = Count1+1;
  #end // Ende Count1
*/
} 

#declare Legod_3_xpos_Var =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = Lego_Var_Z;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.76767, (LegoTiefe*Z_) > rotate z*Lego_Winkel_2Noppen translate <LegoBreite*3,0.2,0> }
}

#declare Legod_3_xneg_Var =
union { 
 difference {
  union {
    #local X_ = 3;
    #local Z_ = Lego_Var_Z;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*2, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.85, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.76767, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_2Noppen translate <0,0.2,0> }
}

#declare Legod_3_zpos_Var =
union { 
 difference {
  union {
    #local X_ = Lego_Var_X;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.85, 0.75 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.76767,-0.15 > rotate x*-Lego_Winkel_2Noppen translate <0,0.2,LegoTiefe*3> }
}

#declare Legod_3_zneg_Var =
union { 
 difference {
  union {
    #local X_ = Lego_Var_X;
    #local Z_ = 3;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.85, 0 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.76767, 0.15 > rotate x*Lego_Winkel_2Noppen translate <0,0.2,0> }
}

#declare Legod_2_xpos_Var =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = Lego_Var_Z;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { < 0,-0.1,-0.1 >, < 0.75, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
 } // Ende difference
box { < 0.00001, 0, Abstand >, <-0.15, 1.098, (LegoTiefe*Z_) > rotate z*Lego_Winkel_1Noppen translate <LegoBreite*2,0.2,0> }
}

#declare Legod_2_xneg_Var =
union { 
 difference {
  union {
    #local X_ = 2;
    #local Z_ = Lego_Var_Z;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < 1)
      #local Count2 = 0;
      #while (Count2 < Z_)
        object { Noppen_z translate < LegoBreite*1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.75,-0.1,-0.1 >, < 0, 1.20, (LegoTiefe*Z_)+0.1 > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { <-0.00001, Abstand, Abstand >, < 0.15, 1.098, (LegoTiefe*Z_) > rotate z*-Lego_Winkel_1Noppen translate <0,0.2,0> }
}

#declare Legod_2_zpos_Var =
union { 
 difference {
  union {
    #local X_ = Lego_Var_X;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1, 0 >, <(LegoBreite*X_)+0.1, 1.20, 0.75 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
 } // Ende difference
box { < Abstand, 0, 0.00001 >, < (LegoBreite*X_), 1.098,-0.15 > rotate x*-Lego_Winkel_1Noppen translate <0,0.2,LegoTiefe*2> }
}

#declare Legod_2_zneg_Var =
union { 
 difference {
  union {
    #local X_ = Lego_Var_X;
    #local Z_ = 2;
    difference {
      box { Abstand, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ > }
      box { < 0.15,-0.01, 0.15 >, < LegoBreite*X_, LegoHoehe*1, LegoTiefe*Z_ >-0.15 }
    }
    #local Count1 = 0;
    #while (Count1 < X_-1)
      #local Count2 = 0;
      #while (Count2 < Z_-1)
        object { Noppen_innen translate < LegoBreite*Count1, 0, LegoTiefe*Count2 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1

    #local Count1 = 0;
    #while (Count1 < X_)
      #local Count2 = 0;
      #while (Count2 < 1)
        object { Noppen_z translate < LegoBreite*Count1, LegoHoehe*1, LegoTiefe*1 > }
      #local Count2 = Count2+1;
      #end // Ende Count2
    #local Count1 = Count1+1;
    #end // Ende Count1
  } 
  box { <-0.1,-0.1,-0.75 >, < (LegoBreite*X_)+0.1, 1.20, 0 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
 } // Ende difference
box { < Abstand, Abstand,-0.00001 >, < (LegoBreite*X_), 1.098, 0.15 > rotate x*Lego_Winkel_1Noppen translate <0,0.2,0> }
}

